docker image:
  extends: 
    - .docker_in_docker
  stage: release
  script:
    - export TAG="$(if [ -z "$CI_COMMIT_TAG" ]; then echo $CI_COMMIT_SHORT_SHA; else echo $CI_COMMIT_TAG; fi)"
    - export IMAGE="$CI_REGISTRY_IMAGE:$TAG"
    - docker build -t ${IMAGE} .
    - echo ${CI_REGISTRY_PASSWORD} | docker login --username ${CI_REGISTRY_USER} --password-stdin ${CI_REGISTRY}
    - docker push ${IMAGE}
    - if [[ "$CI_COMMIT_BRANCH" == "$CI_DEFAULT_BRANCH" ]]; then docker tag $IMAGE $CI_REGISTRY_IMAGE:latest && docker push $CI_REGISTRY_IMAGE:latest; fi
